using FluentValidation;

namespace Netina.Core.EntityServices.MarketerHandlers.Validators;

public class SignUpMarketerCommandValidator : AbstractValidator<SignUpMarketerCommand>
{
    public SignUpMarketerCommandValidator()
    {
        RuleFor(command => command.FatherName)
            .NotNull()
            .NotEmpty()
            .WithMessage("نام پدر را وارد کنید");

        RuleFor(command => command.BirthDate)
            .NotNull()
            .NotEqual(0)
            .WithMessage("تاریخ تولد را وارد کنید");

        RuleFor(command => command.Shaba)
            .NotNull()
            .NotEmpty()
            .WithMessage("شماره شبا را وارد کنید");
    }
}